import { _decorator, assetManager, Component, find, Node, Prefab } from 'cc';
import { resLoader } from '../../core_tgx/base/ResLoader';
import { ResourcePool } from './ResourcePool';
import { LevelManager } from './Manager/LevelMgr';

const { ccclass, property } = _decorator;

@ccclass('StormSunderGlobalInstance')
export class StormSunderGlobalInstance {
    private static _instance: StormSunderGlobalInstance;
    public static get instance() {
        if (this._instance) {
            return this._instance;
        }

        this._instance = new StormSunderGlobalInstance();
        return this._instance;
    }


    public map: Node = null;
}




